package GT::MoneyManagement::Basic;

# Copyright 2000-2002 Raphal Hertzog, Fabien Fulhaber
# This file is distributed under the terms of the General Public License
# version 2 or (at your option) any later version.

use strict;
use vars qw(@NAMES @ISA);

use GT::MoneyManagement;
use Carp::Datum;

@NAMES = ("Basic");
@ISA = qw(GT::MoneyManagement);

=head1 GT::MoneyManagement::Basic

Basic and dumb money management rules (ie no rules).

=cut
sub new {
    my $type = shift;
    my $class = ref($type) || $type;
    my $args = shift;
 
    my $self = { 'args' => defined($args) ? $args : [] };
 
    return manage_object(\@NAMES, $self, $class, $self->{'args'}, '');
}

