package GT::Serializer::Storable;

# Copyright 2000-2002 Raphal Hertzog, Fabien Fulhaber
# This file is distributed under the terms of the General Public License
# version 2 or (at your option) any later version.

use strict;
use vars qw(@ISA);

@ISA = qw(GT::Serializer);

use GT::Serializer;
#use Storable;

=head1 GT::Serializer::Storable

Use Storable to store/load any perl structure.

=cut

sub default_store {
    my ($self, $file, $object) = @_;
#    store $object, $file;
}

sub default_load {
    my ($self, $file) = @_;
#    return retrieve $file;
}

=head2
sub new {
    my $type = shift;
    my $class = ref($type) || $type;

    my $self = {};

    return bless $self, $class;
}
=cut
1;
