package GT::TradeFilters::AcceptAll;

# Copyright 2000-2002 Raphal Hertzog, Fabien Fulhaber
# This file is distributed under the terms of the General Public License
# version 2 or (at your option) any later version.

use strict;
use vars qw(@NAMES @ISA);

use GT::TradeFilters;
use Carp::Datum;

@NAMES = ("AcceptAll");
@ISA = qw(GT::TradeFilters);

=head1 GT::TradeFilters::AcceptAll

TradeFilter accepting all trades.

=cut
sub new {
    my $type = shift;
    my $class = ref($type) || $type;
    my $args = shift;
 
    my $self = { 'args' => defined($args) ? $args : [] };
 
    return manage_object(\@NAMES, $self, $class, $self->{'args'}, '');
}

